﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Networking;
using Networking.Client;
using Networking;

public class NetworkOutput : MonoBehaviour
{

    public BlockReader reader;

    [SerializeField]
    protected ClientObject Client;

    [ContextMenu("Send list")]
    public void SendList()
    {
        LogicProtocols.LogicMsg msg = new LogicProtocols.LogicMsg(reader.LogicChain.ToArray());

        Debug.Log("sending on " + LogicProtocols.SendLogicList);
        Client.client.SendByChannel(LogicProtocols.SendLogicList, msg,TransportConfigure.ReliableFragmented);
    }
}
